[![DOI](https://zenodo.org/badge/265108176.svg)](https://zenodo.org/badge/latestdoi/265108176)
![banner](images/jsPsychSheet.png)

# jsPsychSheet

**jsPsychSheet** is a simple JavaScript library that uses jsPsych and Google Sheet for running behavioral experiments online. [jsPsych](https://www.jspsych.org/) is one of the popular JavaScript libraries used to design behavioral experiments to run in a web browser. But to host those experiments online, you need a server (which is not always free), and some knowledge about server-side coding is also required. jsPsychSheet solves that problem by using [Google Apps Script](https://developers.google.com/apps-script) to host your designed experiment and save your data directly into your google sheet. The best part is that you just need to add very few extra lines to your designed jsPsych experiment!

#### [Tutorial on how to use jsPsychSheet](tutorials)

## Citation and reference
Since this library uses jsPsych as its main library for developing the experiments. If you use it in your academic work, you must cite the [paper that describes jsPsych](http://link.springer.com/article/10.3758%2Fs13428-014-0458-y).

de Leeuw, J.R. (2015). jsPsych: A JavaScript library for creating behavioral experiments in a Web browser. Behavior Research Methods, 47(1), 1-12. doi:10.3758/s13428-014-0458-y

Also please reference this repo if you use it anywhere.

Shashi Kant Gupta. (2020, May 29). jsPsychSheet: A simple JavaScript library that uses jsPsych and Google Sheet for running behavioral experiments online (Version v1.0.1). Zenodo. http://doi.org/10.5281/zenodo.3864654

## License
Licensed under [MIT license](LICENSE). Please reference this github repo if used anywhere.
